; ############  DIRECTOR AND EVENT CHANGES  ###########
; =====================================================
; ==          DIRECTOR & EVENT MODIFICATION          ==
; ==       Modify director behaviour and events      ==
; =====================================================
; --- Remove a script that caused natural hordes to spawn before the event
filter:
{
	"hammerid" "8442672"
}
; --- Remove entity that affects the event path route based on the "event" removed above
{
	"targetname" "compare_minifinale"
}
; --- Force survivors to always take the lower path leading to the event
modify:
{
	match:
	{
		"hammerid" "196210"
	}
	delete:
	{
		"OnTrigger" "compare_minifinaleCompare0.5-1"
		"OnTrigger" "director_queryHowAngry0-1"
	}
	insert:
	{
		"OnTrigger" "relay_hallway_close,Trigger,,0,-1"
	}
}
; --- Open up the Just For Kidz store so tanks don't need to use the vent, survivors can still go to this area but the path back remains blocked
filter:
{
	"targetname" "trigger_glass_breakable"
}
{
	"targetname" "brush_shop_blocked"
}
{
	"targetname" "breakble_glass_minifinale"
}
{
	"targetname" "nav_blocker_storefront"
}
{
	"targetname" "window_glow"
}
{
	"targetname" "instructor_window"
}
{
	"targetname" "filter_breakglass"
}
{
	"targetname" "filter_melee"
}
{
	"targetname" "filter_invunerable"
}
{
	"targetname" "trigger_glass_breakable"
}
{
	"targetname" "prop_door_mallshop_straight"
}
; --- Remove a trigger on the upper path that sets the escalator positions
{
	"hammerid" "221997"
}
; --- Close the partially open door before the store
modify:
{
	match:
	{
		"hammerid" "118980"
	}
	replace:
	{
		"ajarangles" "0 315 0"
	}
}
; --- Create our own custom case for spawning the escalators we want
add:
{
	"classname" "logic_relay"
	"targetname" "relay_elevator_path_custom"
	"origin" "1280 -3328 9"
	"StartDisabled" "0"
	"spawnflags" "0"
	; --- Event - Lower floor - Spawn both
	"OnTrigger" "escalator_lower_01*,FireUser1,,0,-1"
	"OnTrigger" "escalator_lower_02*,FireUser1,,0,-1"
	; --- Event - Upper floor - Spawn standard versus path
	"OnTrigger" "escalator_upper_01*,FireUser1,,0,-1"
	; --- Saferoom - Lower floor - Spawn escalator leading away from the upper escalators
	"OnTrigger" "escalator_lower_04*,FireUser1,,0,-1"
	; --- Saferoom - Upper floor - Spawn standard versus path
	"OnTrigger" "escalator_upper_03*,FireUser1,,0,-1"
}
modify:
{
	match:
	{
		"targetname" "relay_director_set_paths"
	}
	delete:
	{
		"OnTrigger" "director_query_elevator_pathHowAngry01"
	}
	insert:
	{
		"OnTrigger" "relay_elevator_path_custom,Trigger,,0,-1"
	}
}
; --- Remove other relay for setting paths as a precaution (the trigger for it seems to be missing)
filter:
{
	"targetname" "relay_director_set_paths2"
}
; --- Remove items on the upper path
; --- Keep the items in the Just For Kidz area so survivors can still choose to shop for items/ammo
; --- Room opposite to Just For Kidz pill room
{
	"hammerid" "1549716"
}
{
	"hammerid" "1549729"
}
{
	"hammerid" "1313698"
}
; --- Bathroom items
{
	"hammerid" "321240"
}
{
	"hammerid" "321242"
}
{
	"hammerid" "321244"
}
{
	"hammerid" "321246"
}
{
	"hammerid" "321238"
}
{
	"hammerid" "321236"
}
{
	"hammerid" "321316"
}
{
	"hammerid" "321318"
}
{
	"hammerid" "321314"
}
{
	"hammerid" "321310"
}
{
	"hammerid" "321312"
}
; --- Room opposite to bathrooms
{
	"hammerid" "1551939"
}
{
	"hammerid" "1551926"
}


; ################  ITEM SPAWN CHANGES  ###############
; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================

; =====================================================
; ==           PILL / ITEM / WEAPON SPAWNS           ==
; ==   Remove or change pill, item & weapon spawns   ==
; =====================================================
; --- Remove a badly placed item spawn at the start that is impossible to reach and in an area with plenty of other item spawns
filter:
{
	"hammerid" "8442701"
}
; --- Add guarenteed spawns for shotgun and SMG in the back corner before the event path
add:
{
	"classname" "weapon_spawn"
	"origin" "2795 -1781 302"
	"angles" "0 90 90"
	"weapon_selection" "tier1_shotgun"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
modify:
{
	match:
	{
		"hammerid" "321383"
	}
	replace:
	{
		"weapon_selection" "any_smg"
	}
}

; =====================================================
; ==                STATIC AMMO PILES                ==
; ==          Add or modify ammo pile spawns         ==
; =====================================================
add:
; --- Ammo pile by the gun spawn after the 2nd set of escalators
{
	"classname" "weapon_ammo_spawn"
	"origin" "3580 -2661 -64"
	"angles" "0 0 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
; --- Stop nearby item spawn from being an ammo pile
modify:
{
	match:
	{
		"hammerid" "321575"
	}
	replace:
	{
		"item1" "0"
	}
}
add:
; --- Ammo pile on boxes near the start of the path leading to the event
{
	"classname" "weapon_ammo_spawn"
	"origin" "746 -681 32"
	"angles" "0 90 0"
	"model" "models/props/terror/ammo_stack.mdl"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}

; =====================================================
; ==                 HITTABLE CHANGES                ==
; ==           Add/remove/modify hittables           ==
; =====================================================
; --- Move the hand truck at the start of the event path to a less obtrusive position
modify:
{
	match:
	{
		"hammerid" "49558"
	}
	replace:
	{
		"origin" "782 -1147 280"
		"angles" "0 90 0"
	}
}


; #############  MAP CLIPPING AND ISSUES  #############
; =====================================================
; ==                 EXPLOITS BLOCKED                ==
; ==      Block intentionally performed exploits     ==
; =====================================================
add:
; --- Block standing on a door frame by the drop leading to the event
{
	"classname" "env_physics_blocker"
	"origin" "1509 -993 466"
	"mins" "-34 -1 -70"
	"maxs" "34 1 70"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Block skipping the path to the end saferoom
{
	"classname" "env_physics_blocker"
	"origin" "-1744 -4509 634"
	"mins" "-112 -3 -94"
	"maxs" "112 3 94"
	"initialstate" "1"
	"BlockType" "1"
}

; =====================================================
; ==                  OUT OF BOUNDS                  ==
; ==  Block players getting outside / under the map  ==
; =====================================================

; =====================================================
; ==                   STUCK SPOTS                   ==
; ==  Prevent players from getting stuck in the map  ==
; =====================================================

; =====================================================
; ==                 NUISANCE CHANGES                ==
; ==      Clipping improvements, QOL map changes     ==
; =====================================================
; --- Remove glass that looks like leftover beta content hiding inside another glass panel
filter:
{
	"hammerid" "1574131"
}
; --- Remove some glass panels around the event to help infected
; --- Glass by main escalator
{
	"hammerid" "1663586"
}
{
	"hammerid" "1663589"
}
{
	"hammerid" "1663577"
}
{
	"hammerid" "1663574"
}
{
	"hammerid" "1663571"
}
; --- Glass by ladders lower floor
{
	"hammerid" "1663688"
}
{
	"hammerid" "1663700"
}
{
	"hammerid" "1663736"
}
{
	"hammerid" "1663712"
}
{
	"hammerid" "1663721"
}
{
	"hammerid" "1663853"
}
{
	"hammerid" "1663844"
}
{
	"hammerid" "1663868"
}
{
	"hammerid" "1663835"
}
{
	"hammerid" "1663778"
}
{
	"hammerid" "1663820"
}
{
	"hammerid" "1663787"
}
{
	"hammerid" "8564847"
}
; --- Glass by ladders, top floor
{
	"hammerid" "1663490"
}
{
	"hammerid" "1663580"
}
{
	"hammerid" "1663502"
}
{
	"hammerid" "1663565"
}
{
	"hammerid" "1663553"
}
{
	"hammerid" "1663514"
}
{
	"hammerid" "1663535"
}
{
	"hammerid" "1663655"
}
{
	"hammerid" "1663613"
}
{
	"hammerid" "1663646"
}
{
	"hammerid" "8565094"
}
; --- Remove some glass panels around the end saferoom to help infected
{
	"hammerid" "661764"
}
{
	"hammerid" "661565"
}
{
	"hammerid" "1310382"
}
{
	"hammerid" "661584"
}
{
	"hammerid" "661626"
}
{
	"hammerid" "661636"
}
{
	"hammerid" "661645"
}
{
	"hammerid" "661656"
}
; --- Platform to allow infected to reach the top floor using a ladder by the main event escalator
add:
{
	"classname" "prop_dynamic"
	"origin" "2347 -2941 491"
	"angles" "0 0 0"
	"model" "models/props_highway/plywood_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2306 -2917 492"
	"mins" "-31 -24 -1"
	"maxs" "31 24 1"
	"initialstate" "1"
	"BlockType" "2"
}


; ###########  ADDITIONAL PROPS AND SPAWNS  ###########
; =====================================================
; ==                      PROPS                      ==
; ==       New props for balance and SI spawns       ==
; =====================================================
add:
; --- Props to separate the usual tank fight area before the drop
{
	"classname" "prop_dynamic"
	"origin" "2272 -1672 251"
	"angles" "0 0 0"
	"model" "models/props_mall/mall_column_large.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "2271 -1706 329"
	"angles" "-15.5 347.5 90"
	"model" "models/props_mall/mall_display_07.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "2218 -1737 280"
	"angles" "0 167.5 0"
	"model" "models/props_mall/mall_display_07.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "2183 -1893 280"
	"angles" "0 190 0"
	"model" "models/props_mall/mall_display_08.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Block standing on the shelves
{
	"classname" "env_physics_blocker"
	"origin" "2256 -1746 423"
	"angles" "0 347.5 0"
	"mins" "-16 -41 -65"
	"maxs" "16 41 65"
	"boxmins" "-16 -41 -65"
	"boxmaxs" "16 41 65"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2218 -1737 423"
	"angles" "0 167.5 0"
	"mins" "-19 -49 -65"
	"maxs" "19 49 65"
	"boxmins" "-19 -49 -65"
	"boxmaxs" "19 49 65"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2183 -1893 447"
	"angles" "0 190 0"
	"mins" "-19 -113 -65"
	"maxs" "19 113 65"
	"boxmins" "-19 -113 -65"
	"boxmaxs" "19 113 65"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Desk to block survivors from standing in a safe on the drop to the event path
{
	"classname" "prop_dynamic"
	"origin" "1636 -1107 419"
	"angles" "0 0 -76.5"
	"model" "models/props_office/desk_01.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1660 -1088 396"
	"mins" "-47 -32 -116"
	"maxs" "47 32 116"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Vending machine to return on the one-way drop
{
	"classname" "prop_dynamic"
	"origin" "1613 -1087 303"
	"angles" "0 90 -90"
	"model" "models/props_equipment/snack_machine2.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Clip to make the jump easier for survivors
{
	"classname" "env_physics_blocker"
	"origin" "1615 -1024 311"
	"mins" "-4 -32 -31"
	"maxs" "4 32 31"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Props on the upper floor by the end saferoom
{
	"classname" "prop_dynamic"
	"origin" "-479 -4381 536"
	"angles" "0 270 0"
	"model" "models/props_mall/mall_kioskc.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-479 -4061 536"
	"angles" "0 90 0"
	"model" "models/props_mall/mall_kioskc.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2055 -3973 536"
	"angles" "0 90 0"
	"model" "models/props_mall/mall_kioskc.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2129 -4288 536"
	"angles" "0 57.5 0"
	"model" "models/props/cs_militia/boxes_garage_lower.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-2115 -4268 536"
	"angles" "0 15 0"
	"model" "models/props_industrial/plywood_leaning.mdl"
	"solid" "6"
	"disableshadows" "1"
}

; #############  LADDER CHANGES AND FIXES  ############
; =====================================================
; ==             LADDER ADDITIONS / FIXES            ==
; ==              Add or change ladders              ==
; =====================================================
add:
; --- Infected ladders to climb over the added props before the one-way drop
{
	"classname" "func_simpleladder"
	"origin" "-847.58 -1931.34 23"
	"angles" "0 55 0"
	"model" "*172"
	"normal.x" "0.98"
	"normal.y" "0.17"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "5239.58 -2012.64 23"
	"angles" "0 235 0"
	"model" "*172"
	"normal.x" "-0.98"
	"normal.y" "-0.17"
	"normal.z" "0.00"
	"team" "2"
}
; ---  Infected ladders to climb over the added props by the end saferoom
{
	"classname" "func_simpleladder"
	"origin" "-389.93 -1136.49 23"
	"angles" "0 315 0"
	"model" "*172"
	"normal.x" "0.00"
	"normal.y" "-1.00"
	"normal.z" "0.00"
	"team" "2"
}
{
	"classname" "func_simpleladder"
	"origin" "-1528.06 -7119.5 23"
	"angles" "0 135 0"
	"model" "*172"
	"normal.x" "0.00"
	"normal.y" "1.00"
	"normal.z" "0.00"
	"team" "2"
}

; #######  MISCELLANEOUS / MAP SPECIFIC CHANGES  ######
; =====================================================
; ==              SAFEROOM ROUTE REWORK              ==
; ==   Make the route to the saferoom to be longer   ==
; =====================================================
add:
; --- Block going immediately left after the under construction area
{
	"classname" "prop_dynamic"
	"origin" "-760 -4689 280"
	"angles" "0 166 0"
	"model" "models/props_fortifications/barricade001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Shelves and fences to block going directly to the escalator
{
	"classname" "prop_dynamic"
	"origin" "-960 -4128 280"
	"angles" "0 270 0"
	"model" "models/props_mall/mall_display_08.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-684 -4204 280"
	"angles" "0 0 0"
	"model" "models/props_mall/mall_display_08.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1071 -4053 280"
	"angles" "0 321.804 0"
	"model" "models/props_mall/mall_display_07.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-680 -4032 280"
	"angles" "0 165.5 0"
	"model" "models/props_fortifications/barricade001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-668 -3928 280"
	"angles" "0 180 0"
	"model" "models/props_fortifications/barricade001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-668 -3820 280"
	"angles" "0 180 0"
	"model" "models/props_fortifications/barricade001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Barbed wire on shelves to show why they are blocked
{
	"classname" "prop_dynamic"
	"origin" "-900 -4124 409"
	"angles" "0 90 0"
	"model" "models/props_fortifications/barricade_razorwire001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1020 -4124 409"
	"angles" "0 90 0"
	"model" "models/props_fortifications/barricade_razorwire001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-692 -4144 409"
	"angles" "0 180 0"
	"model" "models/props_fortifications/barricade_razorwire001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-692 -4264 409"
	"angles" "0 180 0"
	"model" "models/props_fortifications/barricade_razorwire001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1069 -4055 356"
	"angles" "0 321.804 0"
	"model" "models/props_fortifications/barricade_razorwire001_128_reference.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Jimmy Gibbs banner to block jumping around the glass panels (only 1 is solid to allow wallbanging)
{
	"classname" "prop_dynamic"
	"origin" "-1260 -4136 112"
	"angles" "0 180 0"
	"model" "models/props_vehicles/mall_banner.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1260 -4135 112"
	"angles" "0 0 0"
	"model" "models/props_vehicles/mall_banner.mdl"
	"solid" "0"
	"disableshadows" "1"
}
; --- Remove glass by hanging shelf
filter:
{
	"targetname" "escalator_lower_03-railing_breakable"
}
{
	"targetname" "escalator_lower_03-railing"
}
; --- Clipping to prevent skips
add:
{
	"classname" "env_physics_blocker"
	"origin" "-981 -4128 634"
	"mins" "-134 -19 -228"
	"maxs" "134 19 228"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-684 -4204 447"
	"mins" "-19 -114 -41.5"
	"maxs" "19 114 41.5"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-681 -4036 454"
	"mins" "-10.5 -54.5 -34.5"
	"maxs" "10.5 54.5 34.5"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-664 -3929 454"
	"mins" "-6.5 -161 -34.5"
	"maxs" "6.5 161 34.5"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1094 -4128 345"
	"mins" "-21 -19 -61"
	"maxs" "21 19 61"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1085 -4031 304"
	"mins" "-3 -15 -20"
	"maxs" "3 15 20"
	"initialstate" "1"
	"BlockType" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-1071 -4053 373"
	"angles" "0 321.804 0"
	"mins" "-18 -48 -14"
	"maxs" "18 48 14"
	"boxmins" "-18 -48 -14"
	"boxmaxs" "18 48 14"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Kiosk for spawn on the forced route
{
	"classname" "prop_dynamic"
	"origin" "-2068 -4208 280"
	"angles" "0 270 0"
	"model" "models/props_mall/mall_kioskc.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Some visual props to add realism
{
	"classname" "prop_dynamic"
	"origin" "-861 -4122 283"
	"angles" "0 195 0"
	"model" "models/deadbodies/cemetary/pose_c.mdl"
	"solid" "0"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-1170 -4201 278"
	"angles" "0 165 0"
	"model" "models/deadbodies/common_worker_male01_fence01.mdl"
	"solid" "0"
	"disableshadows" "1"
}

; =====================================================
; ==                   FENCE COVERS                  ==
; ==   Add covers or props to the fences for spawns  ==
; =====================================================
add:
; --- Immediately outside saferoom
{
	"classname" "prop_dynamic"
	"origin" "6708 -1748 -18"
	"angles" "0 97.5 0"
	"model" "models/props_urban/fence_cover001_128.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- By the collapsed gate after the first set of escalators
{
	"classname" "prop_dynamic"
	"origin" "5196 -2585 280"
	"angles" "0 75 0"
	"model" "models/props_mall/mall_display_07.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "5196 -2585 428"
	"angles" "0 75 0"
	"mins" "-18 -48 -60"
	"maxs" "18 48 60"
	"boxmins" "-18 -48 -60"
	"boxmaxs" "18 48 60"
	"initialstate" "1"
	"BlockType" "1"
}
; --- In front of the escalators on the far side in the second escalator room
{
	"classname" "prop_dynamic"
	"origin" "3573 -2693 280"
	"angles" "0 219 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "3522 -2638 280"
	"angles" "0 249 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- In the dark area in the second escalator room
{
	"classname" "prop_dynamic"
	"origin" "2928 -2814 280"
	"angles" "0 136.5 0"
	"model" "models/props_mall/mall_display_07.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "2928 -2814 428"
	"angles" "0 136.5 0"
	"mins" "-18 -48 -60"
	"maxs" "18 48 60"
	"boxmins" "-18 -48 -60"
	"boxmaxs" "18 48 60"
	"initialstate" "1"
	"BlockType" "1"
}
; --- On the right after going down second set of escalators
{
	"classname" "prop_dynamic"
	"origin" "3703 -2285 0"
	"angles" "0 129 0"
	"model" "models/props_mall/mall_display_07.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "3703 -2285 148"
	"angles" "0 129 0"
	"mins" "-18 -48 -60"
	"maxs" "18 48 60"
	"boxmins" "-18 -48 -60"
	"boxmaxs" "18 48 60"
	"initialstate" "1"
	"BlockType" "1"
}
; --- On the left after going down second set of escalators
{
	"classname" "prop_dynamic"
	"origin" "3452 -2897.5 1"
	"angles" "0 84 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "3372 -2907 1"
	"angles" "0 94 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- In front after going down second set of escalators
{
	"classname" "prop_dynamic"
	"origin" "3167 -2707 0"
	"angles" "0 189.5 0"
	"model" "models/props_mall/mall_display_07.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "3167 -2707 148"
	"angles" "0 189.5 0"
	"mins" "-18 -48 -60"
	"maxs" "18 48 60"
	"boxmins" "-18 -48 -60"
	"boxmaxs" "18 48 60"
	"initialstate" "1"
	"BlockType" "1"
}
; --- Around the corner after the second set of escalators
{
	"classname" "prop_dynamic"
	"origin" "2554 -1927 1"
	"angles" "0 9 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "2544 -1842 1"
	"angles" "0 354 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- Right under the third set of escalators before the event path
{
	"classname" "prop_dynamic"
	"origin" "2611 -663 1"
	"angles" "0 189 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- In the back corner after going up the third set of escalators before the event path
{
	"classname" "prop_dynamic"
	"origin" "2528 204 282"
	"angles" "0 204 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "2679 75 282"
	"angles" "0 249 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
; --- To the left of the drop leading to the event path
{
	"classname" "prop_dynamic"
	"origin" "1778 -1144 280"
	"angles" "0 264 0"
	"model" "models/props_mall/mall_display_07.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "1778 -1144 428"
	"angles" "0 264 0"
	"mins" "-18 -48 -60"
	"maxs" "18 48 60"
	"boxmins" "-18 -48 -60"
	"boxmaxs" "18 48 60"
	"initialstate" "1"
	"BlockType" "1"
}
; --- At the entrance of the final area after the event
{
	"classname" "prop_dynamic"
	"origin" "-407 -4493 282"
	"angles" "0 112 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-473 -4523 282"
	"angles" "0 120 0"
	"model" "models/props_urban/fence_cover001_64.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "prop_dynamic"
	"origin" "-91 -4425 280"
	"angles" "0 67.5 0"
	"model" "models/props_mall/mall_display_07.mdl"
	"solid" "6"
	"disableshadows" "1"
}
{
	"classname" "env_physics_blocker"
	"origin" "-91 -4425 428"
	"angles" "0 67.5 0"
	"mins" "-18 -48 -60"
	"maxs" "18 48 60"
	"boxmins" "-18 -48 -60"
	"boxmaxs" "18 48 60"
	"initialstate" "1"
	"BlockType" "1"
}
; =====================================================
; ==                  SAFEROOM ITEMS                 ==
; ==    Saferoom item spawns - ammo piles, weapons   ==
; =====================================================
add:
; ---add chrome and silenced smg in saferoom
{
	"classname" "weapon_spawn"
	"origin" "6637 -1342 26"
	"angles" "0 -180 90"
	"weapon_selection" "weapon_shotgun_chrome"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}
{
	"classname" "weapon_spawn"
	"origin" "6575 -1342 26"
	"angles" "0 -180 90"
	"weapon_selection" "weapon_smg_silenced"
	"spawn_without_director" "1"
	"solid" "6"
	"disableshadows" "1"
	"spawnflags" "2"
	"count" "5"
}

